Matrix Games Forums

Forums  Register  Login  Photo Gallery  Member List  Search  Calendars  FAQ 

My Profile  Inbox  Address Book  My Subscription  My Forums  Log Out

1.9.5.7 Cannot load game with any weapons effects mods? [Solved]

 
View related threads: (in this forum | in all forums)

Logged in as: Guest
Users viewing this topic: none
  Printable Version
All Forums >> [New Releases from Matrix Games] >> Distant Worlds 1 Series >> Tech Support >> 1.9.5.7 Cannot load game with any weapons effects mods? [Solved] Page: [1]
Login
Message << Older Topic   Newer Topic >>
1.9.5.7 Cannot load game with any weapons effects mods?... - 8/15/2014 9:48:10 AM   
Tanaka


Posts: 4082
Joined: 4/8/2003
From: USA
Status: offline
As you can see I do not have any beam weapons in my mod file yet it still crashes. No matter what weapon mod I interchange it still crashes. Thus you cannot use any weapon mods.

Have tried both fresh game install and using other weapons mods but same thing happens.




Attachment (1)

< Message edited by Tanaka -- 8/16/2014 9:45:31 AM >


_____________________________

Post #: 1
RE: 1.9.5.7 Cannot load game with any weapons effects mods - 8/15/2014 11:47:07 AM   
ehsumrell1


Posts: 2529
Joined: 8/17/2010
From: The Briar Patch Nebula
Status: offline
Hello Tanaka;
This may be your problem: (Not having all the required weapons images in the folder}
{Using excerpt from the DW:Universe Modding Guide}

quote:


In most cases you can replace some of the images in your theme, while relying
on the default images for the remainder, e.g. replace some of the button images
in the images\ui\chrome folder in your theme, while leaving the others to be
supplied from the default chrome folder in the base game. In other words the
typical Distant Worlds file fall-back mechanism works in most places.

However there are some exceptions that do not have any fall-back. For these
cases if you supply the relevant folder in your theme
, then you must supply
ALL images in that folder.
Folders that do NOT fallback to default are as follows:
- images\environment\supernovae
- images\environment\planets\volcanic
- images\effects\weapons
- images\effects\explosions
- images\effects\planetdestroy
- images\effects\hyperenter
- images\effects\hyperexit
- images\effects\enginethrusters
- images\ui\flagshapes


It's probable that you've inadvertently overlooked this in the Modding Guide. Hopefully this helps explain the problem your having.

_____________________________

Shields are useless in "The Briar Patch"...

(in reply to Tanaka)
Post #: 2
RE: 1.9.5.7 Cannot load game with any weapons effects mods - 8/15/2014 7:08:19 PM   
Tanaka


Posts: 4082
Joined: 4/8/2003
From: USA
Status: offline
quote:

ORIGINAL: ehsumrell1

Hello Tanaka;
This may be your problem: (Not having all the required weapons images in the folder}
{Using excerpt from the DW:Universe Modding Guide}

quote:


In most cases you can replace some of the images in your theme, while relying
on the default images for the remainder, e.g. replace some of the button images
in the images\ui\chrome folder in your theme, while leaving the others to be
supplied from the default chrome folder in the base game. In other words the
typical Distant Worlds file fall-back mechanism works in most places.

However there are some exceptions that do not have any fall-back. For these
cases if you supply the relevant folder in your theme
, then you must supply
ALL images in that folder.
Folders that do NOT fallback to default are as follows:
- images\environment\supernovae
- images\environment\planets\volcanic
- images\effects\weapons
- images\effects\explosions
- images\effects\planetdestroy
- images\effects\hyperenter
- images\effects\hyperexit
- images\effects\enginethrusters
- images\ui\flagshapes


It's probable that you've inadvertently overlooked this in the Modding Guide. Hopefully this helps explain the problem your having.


Hmm Ive never had this problem before. I tried putting the original files in the mod folder and replacing them with modded files but that does not work either. The only way I can get it to load is to delete weapons folder or leave original files in weapons folder with no replacements.

For Example: Put all original weapons into weapons mod folder. Then copy/paste into folder with Kalthaniells weapons mod. Game crashes on load.

Does Kalthaniells weapons mod no longer work with the game?

< Message edited by Tanaka -- 8/15/2014 9:40:52 PM >


_____________________________


(in reply to ehsumrell1)
Post #: 3
RE: 1.9.5.7 Cannot load game with any weapons effects mods - 8/15/2014 9:04:22 PM   
Tanaka


Posts: 4082
Joined: 4/8/2003
From: USA
Status: offline

Ah found the problem in that thread I believe...



quote:

ORIGINAL: Darkspire


quote:

ORIGINAL: bluestrike15


quote:

ORIGINAL: AstroCat

I re-uploaded his weapons mod here:

No changes to it, just "as is".


After adding this to my weapons file, Every time i try to open the game it gives me an error saying im missing torpedo_8



Try opening up the vanilla image folder for weapons, the naming for the files is radically different, you will need to rename the files to get them to work.
As for the "torpedo_8", there is no torpedo_8 in the vanilla set, so you must be using a custom theme? if so just rename the file you want for torpedo_8, and go from there, there are twelve files in the zip for torpedoes, five more than vanilla so it should be fairly straight forward to rename them to follow Universe naming conventions.

Darkspire


_____________________________


(in reply to Tanaka)
Post #: 4
Page:   [1]
All Forums >> [New Releases from Matrix Games] >> Distant Worlds 1 Series >> Tech Support >> 1.9.5.7 Cannot load game with any weapons effects mods? [Solved] Page: [1]
Jump to:





New Messages No New Messages
Hot Topic w/ New Messages Hot Topic w/o New Messages
Locked w/ New Messages Locked w/o New Messages
 Post New Thread
 Reply to Message
 Post New Poll
 Submit Vote
 Delete My Own Post
 Delete My Own Thread
 Rate Posts


Forum Software © ASPPlayground.NET Advanced Edition 2.4.5 ANSI

0.176